Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156685 - CAN-2005-1369 i2c alarms sysfs DoS
Summary: CAN-2005-1369 i2c alarms sysfs DoS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-03 12:05 UTC by Mark J. Cox
Modified: 2015-01-04 22:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-28 10:52:07 UTC


Attachments (Terms of Use)

Description Mark J. Cox 2005-05-03 12:05:19 UTC
+++ This bug was initially created as a clone of Bug #156683 +++

The (1) it87 and (2) via686a drivers in I2C for Linux 2.6.x before
2.6.11.8, and 2.6.12 before 2.6.12-rc2, create the sysfs "alarms" file
with write permissions, which allows local users to cause a denial of
service (CPU consumption) by attempting to write to the file, which
does not have an associated store function.

See 
        http://archives.andrew.net.au/lm-sensors/msg31215.html

Comment 1 Dave Jones 2005-05-18 03:30:39 UTC
should be fixed in the 2.6.11.10 rebased update kernel currently in testing.

Comment 2 Mark J. Cox 2005-06-28 10:52:07 UTC
fixed FEDORA-2005-412


Note You need to log in before you can comment on or make changes to this bug.